Unexpected keyword argument 'progress_bar_refresh_rate'

init() got an unexpected keyword argument ‘progress_bar_refresh_rate’

I don’t understand why I am getting this error on google collab (I haven’t tested it outside collab). Everthing works if I don’t pass in the parameter progress_bar_refresh_rate. The only reason I am trying to change it because collab throws a warning and asks me to have progress_bar_refresh_rate>=20. Thanks for your help in advance.

image

Error is as below (The forum wasn’t allowing me to add another screenshot):


TypeError Traceback (most recent call last)

/usr/local/lib/python3.6/dist-packages/pytorch_lightning/loggers/tensorboard.py in log_metrics(self, metrics, step)
188 try:
–> 189 self.experiment.add_scalar(k, v, step)
190 except Exception as e:

11 frames

TypeError: init() got an unexpected keyword argument ‘progress_bar_refresh_rate’

During handling of the above exception, another exception occurred:

AttributeError Traceback (most recent call last)

/usr/local/lib/python3.6/dist-packages/pytorch_lightning/loggers/tensorboard.py in log_metrics(self, metrics, step)
190 except Exception as e:
191 m = f’\n you tried to log {v} which is not currently supported. Try a dict or a scalar/tensor.’
–> 192 type(e)(e.message + m)
193
194 @rank_zero_only

AttributeError: ‘TypeError’ object has no attribute ‘message’

Also, everything works fine with progress_bar_refresh_rate if no logger variable is passed in to the trainer.

Can you share the notebook or reproduce this behavior with https://colab.research.google.com/drive/1HvWVVTK8j2Nj52qU4Q4YCyzOm0_aLQF3?usp=sharing ?